function formaPago(id){
    if(id == 'cheque'){
        $("#nombre_pago_2").html("Banco")
        $("#numero_pago_2").html("Número de cheque")
        $("#monto_pago_2").html("Monto de Cheque")
        $("#box_banco").removeClass("d-none")
        $("#nombre_banco").attr("required", true)
        $("#box_cheque").removeClass("d-none")
        $("#num_cheque").attr("required", true)
        $("#box_monto_cheque").removeClass("d-none")
        $("#monto_cheque").attr("required", true)
    }else if(id == 'transfer'){
        $("#nombre_pago_2").html("Banco")
        $("#numero_pago_2").html("Número de transferencia")
        $("#monto_pago_2").html("Monto de Transferencia")
        $("#box_banco").removeClass("d-none")
        $("#nombre_banco").attr("required", true)
        $("#box_cheque").removeClass("d-none")
        $("#num_cheque").attr("required", true)
        $("#box_monto_cheque").removeClass("d-none")
        $("#monto_cheque").attr("required", true)
    }else{
        $("#nombre_pago_2").html("")
        $("#numero_pago_2").html("")
        $("#monto_pago_2").html("")
        $("#box_banco").addClass("d-none")
        $("#nombre_banco").attr("required", false)
        $("#box_cheque").addClass("d-none")
        $("#num_cheque").attr("required", false)
        $("#box_monto_cheque").addClass("d-none")
        $("#monto_cheque").attr("required", false)
    }
}

function agregaMatrAlum(){
    $('#form_add_matr_alum :submit').html('<i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw"></i>');
    $("#form_add_matr_alum :submit").attr("disabled", true)
    var archivos = new FormData($("#form_add_matr_alum")[0]);
    var url = 'php/alumnoMatricular.php';
    $.ajax({
        type:'POST',
        url:url,
        data: archivos,
        cache: false,
        contentType: false,
        processData: false,
        success: function(registro){
            var respuesta = eval(registro);
            if(respuesta[0] == 1){         
                swal({
                    title: "CORRECTO!",
                    text: "Alumno matriculado con éxito",
                    type: "success",
                    confirmButtonText: "Aceptar"
                    },
                    function(){
                        $("#form_add_matr_alum :submit").attr("disabled", false)
                        $("#form_add_matr_alum :submit").html('Agregar');
                        $('#form_add_matr_alum')[0].reset();
                        $("#prevIMGprod").html("")
                        $("#prevIMGprod").html("");
                        window.open("informeMatricula.php?id="+respuesta[1]);
                    })
            }else if(respuesta[0] == 2){
                swal({
                    title: "UPS!",
                    text: "Ocurrió un error con algunos datos del alumno, por favor verifica el número de documento",
                    type: "error",
                    confirmButtonText: "Aceptar"
                    },
                    function(){
                        $("#form_add_matr_alum :submit").attr("disabled", false)
                        $("#form_add_matr_alum :submit").html('Agregar');
                    })
            }
        }, error: function(registro){
            swal({
                title: "UPS!",
                text: "Ocurrió un error interno. Por favor, vuelve a intentarlo",
                type: "error",
                confirmButtonText: "Aceptar"
                },
                function(){
                    $("#form_add_matr_alum :submit").attr("disabled", false)
                    $("#form_add_matr_alum :submit").html('Agregar');
                })
        }
    });
    return false;
}